Subject: Re: FVWM: Big font problem with Qt

From: Dominik Vogt <[email-masked]>
Date: Fri, 2 Jul 2004 14:30:15 +0200

Sorry for the late reply.

On Fri, Apr 30, 2004 at 10:48:04AM +0200, Mathieu Jouan wrote:
> I met some trouble to use Qt applications because of the font size.
> Qt doesn't use .Xdefaults as common X application. 
> To avoid to give font at the launch of the application with option
> -fn "font definition" modify in the ~/.qt/qtrc file which looks like :
> 
> [General]
> ...
> ...
> font=name_font,nb,...whatever the default proposition for the rest.
> ...
> 
> With 'name_font' : lucida, clean and so on what you can get with 
>                    the parameter proposed by /usr/X11R6/bin/xfontsel
>                    (-fmly-)
> 'nb' : seem to be the rank into the list of sizes proposed by the font
>        selected, to much higher will set a default font different.
 
> With Kde this problem are managed but not in Fvwm. Fvwm user have to
> known that default setting of such program are in ~/.qt/qtrc and not
> in .Xdefaults !

Well, actually that's a shortcoming of KDE, not fvwm.  KDE
applications should support using fonts specified via .Xdefaults,
but it seems they don't.  Fvwm has no part in this logic at all
(or any other window manager).

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]